Skip to main content

Request an app installation

POST/v2/projects/{projectId}/app-installations/
API version
v2
Request method
POST
Operation ID
app-request-appinstallation

This API operation requests a new app installation.

Usage notes​

Determining the appVersionId​

Both the app that should be installed and the specific version are identified by the appVersionId body parameter.

To determine available apps, use the GET/v2/apps/ API operation. To determine available versions for a given app, use the app ID (as returned by the app-list-apps operation) as input parameter for the GET/v2/apps/{appId}/versions/ operation.

On user inputs​

Pay attention to the userInputs parameter in the request body. This parameter is a list of objects, each with a name and value property.

The allowed values for name are dependent on the app version being installed. To determine the required inputs for a given app version, inspect the userInputs property of the app version object returned by the GET/v2/apps/{appId}/versions/ operation.

Determining when the installation is complete​

Note that this operation does not block until the installation is complete. To determine the status of the installation, use the GET/v2/app-installations/{appInstallationId}/ operation. When the operation is complete, the .appVersion.current property will be equal to .appVersion.desired.

Request​

  • projectIdstring
    required

Responses​

Format
application/json
Description

The AppInstallation has been requested.

  • idstring (uuid)
    required

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"appVersionId":"f0f86186-0a5a-45b2-aa33-502777496347","description":"string","installationPath":"string","systemSoftware":{"string":{"systemSoftwareVersion":"string","updatePolicy":"none"}},"updatePolicy":"none","userInputs":[{"name":"string","value":"string"}]}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string/app-installations